# $Id: devmon-templates.spec 883 2008-05-10 20:42:08Z rpmbuild $
# repo: RE
# restrictions:

#
# Copyright (c) 2007 Mike Arnold <rpmpackaging@razorsedge.org>
#
# Please submit bugfixes or comments via http://rpm.razorsedge.org/bugs/
#

Summary: Templates for Devmon
Name: devmon-templates
Version: 20080206
Release: %RErelease 1
Epoch: 0
License: GPL
Group: System Environment/Base
URL: http://devmon.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/devmon/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-macros-razorsedge
Requires: devmon >= 0.3.0
BuildArch: noarch

%description
Devmon is a device monitoring script which works in tandem with the
Hobbit/BigBrother monitoring suites. It queries remote hosts via SNMP, applies
user-defined logic and thresholds to the acquired data, and submits status and
alarms to a display server.

These are the templates.

%prep
%setup -q

%build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m 755 -d ${RPM_BUILD_ROOT}%{_datadir}/devmon/templates
%{__cp} -pR * ${RPM_BUILD_ROOT}%{_datadir}/devmon/templates
%{__rm} ${RPM_BUILD_ROOT}%{_datadir}/devmon/templates/README

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc REQUIREMENTS
%{_datadir}/devmon/templates/*

%changelog
* Sat Apr 19 2008 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 20080206-1
- Updated to version 20080206.
- Moved files from %{_libdir} to %{_datadir}.

* Thu Jul 19 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 20070306-1
- First build.

